Subject: bug#5661: 23.1.92; `find-library-name' should find a loaded library

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 27 Apr 2016 23:37:26 +0200

Drew Adams <[email-masked]> writes:

>> > The doc string says nothing about searching only the `load-path'. It's
>> > reasonable to think that this should be able to find the library either
>> by
>> > checking loaded libraries or by searching the `load-path'.
>> 
>> That would be nice.  But does Emacs have a record of all files it has
>> done `load-file' on somewhere?
>
> Sorry, I'm reading these really quickly.  But does `load-history'
> apply here?

Indeed it seems like that should do the trick.  Does anybody object to
me extending `find-library-name' to check with `load-history' after it's
gone through the paths it's currently searching?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no